PosixSignalDispatcher::CannotDetachHandler Class Reference

Exception thrown when DetachHandler() fails due to a runtime error. More...

`#include <PosixSignalDispatcher.h>`

Inheritance diagram for PosixSignalDispatcher::CannotDetachHandler:

## Public Member Functions

| CannotDetachHandler (const std::string &whatArg)

## Detailed Description

Exception thrown when DetachHandler() fails due to a runtime error.

Definition at line 58 of file PosixSignalDispatcher.h.

## Constructor & Destructor Documentation

PosixSignalDispatcher::CannotDetachHandler::CannotDetachHandler | ( | const std::string & | whatArg | ) |

inline

Definition at line 61 of file PosixSignalDispatcher.h.

The documentation for this class was generated from the following file:

- PosixSignalDispatcher.h